{% extends "cars/base.html" %}

{% block main %}
	<div class="row">
		<div class="small-12 medium-6 medium-push-3 column">
			{% if form.errors %}
			<p>Your username and password didn't match. Please try again.</p>
			{% endif %}

			{% if next %}
			    {% if user.is_authenticated %}
			    <p>Your account doesn't have access to this page. To proceed,
			    please login with an account that has access.</p>
			    {% else %}
			    <p>Please login to see this page.</p>
			    {% endif %}
			{% endif %}

			<form method="post" action="{% url 'login' %}">
			{% csrf_token %}

			<label>{{ form.username.label_tag }}
			  {{ form.username }}
			</label>
			<label>{{ form.password.label_tag }}
			  {{ form.password }}
			</label>
			
			<input class="button" type="submit" value="login" />
			<input type="hidden" name="next" value="{{ next }}" />
			</form>

			{# Assumes you setup the password_reset view in your URLconf #}
			<p><a href="{% url 'password_reset' %}">Lost password?</a></p>
		</div>
	</div>
{% endblock %}
